*If(strcmp(MatProp(Spring_Non-Linearity),"LINEAR")==0)
  K *MatProp(Initial_stiffness-K)
*Else
  FUNCTION *matnum // *Operation(MatNum*IncrAdvancedFunID+1)
*EndIf
*#
*#
*#
*#
*If(strcmp(GenData(Calculation_Analysis),"Dynamic")==0)
*If(MatProp(Activate_Particular_Damping,Int)==1)
  DAMPING_MASS *MatProp(DAMPING_MASS_COEFFICIENT,Real)
  DAMPING_STIFF *MatProp(DAMPING_STIFFNESS_COEFFICIENT,Real)  
*EndIf
*EndIf
*#
*#
*#
 ;

*#If(strcmp(MatProp(Coordinate_System),"GLOBAL")!=0)
*#WarningBox Info: "Attention !!! Material template for Spring... If You can define other (of GLOBAL) coordinate system, You will have problem in nonplanar surfaces and nonstraight lines!!!. /n For material template is temporary recomended only GLOBAL definition of Coordinate System."
*#EndIf
